Name:           gcolor2
Version:        0.4
Release:        1%{?dist}
Summary:        A simple color selector for GTK+2

Group:          Applications/Publishing
License:        GPLv2
URL:            http://gcolor2.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  gtk2-devel perl(XML::Parser) desktop-file-utils

%description
gcolor2 is a simple color selector that was originally based on gcolor, 
ported to use GTK+2, and now has a completely new UI. 

%prep
%setup -q
# make sure path to icon is correct
sed -i 's!/usr/share!%{_datadir}!' %{SOURCE1}

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
desktop-file-install                                    \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications       \
  %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}/
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Jul 16 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-1
- Initial Fedora package
